%define _realname mozgest
%define _chromedir %_libdir/mozilla/chrome
%define fver %(echo %{version} | tr . _)

Name: mozilla-addon-mozgest
Version: 0.3.5.1
Release: alt1
Summary: Rapid execution of common browser commands with mouse movements
License: GPL
URL: http://optimoz.mozdev.org/gestures/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://downloads.mozdev.org/optimoz/%{_realname}_%fver.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
Execute some browser functions by moving mouse in combination with
a click-hold and optionally a modifier.

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
rm -f $RPM_BUILD_ROOT%_chromedir/install*
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

# fix permissions
chmod -R g+r,o+r $RPM_BUILD_ROOT%_chromedir/mozgest/

# this addon changes chrome.rdf, so we call rebuild-databases.sh
# in (post)installation script!

%files
%_chromedir/mozgest
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt
/usr/lib/mozilla/rebuild-databases.sh

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt
/usr/lib/mozilla/rebuild-databases.sh

%changelog
* Mon Sep 01 2003 Victor Forsyuk <force@altlinux.ru> 0.3.5.1-alt1
- Initial build for Sisyphus.
